Skip to main content
GET
/
api
/
v1-beta
/
entity-types
JavaScript
import Stigg from '@stigg/typescript';

const client = new Stigg({
  apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const entityTypeListResponse of client.v1Beta.entityTypes.list()) {
  console.log(entityTypeListResponse.id);
}
import os
from stigg import Stigg

client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
page = client.v1_beta.entity_types.list()
page = page.data[0]
print(page.id)
package main

import (
"context"
"fmt"

"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)

func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.V1Beta.EntityTypes.List(context.TODO(), stigg.V1BetaEntityTypeListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package io.stigg.example;

import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1beta.entitytypes.EntityTypeListPage;
import io.stigg.models.v1beta.entitytypes.EntityTypeListParams;

public final class Main {
private Main() {}

public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();

EntityTypeListPage page = client.v1Beta().entityTypes().list();
}
}
require "stigg"

stigg = Stigg::Client.new(api_key: "My API Key")

page = stigg.v1_beta.entity_types.list

puts(page)
using System;
using Stigg.Client;
using Stigg.Client.Models.V1Beta.EntityTypes;

StiggClient client = new();

EntityTypeListParams parameters = new();

var page = await client.V1Beta.EntityTypes.List(parameters);
await foreach (var item in page.Paginate())
{
Console.WriteLine(item);
}
stigg v1-beta:entity-types list \
--api-key 'My API Key'
curl --request GET \
--url https://api.stigg.io/api/v1-beta/entity-types \
--header 'X-API-KEY: <api-key>'
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1-beta/entity-types",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
  "data": [
    {
      "id": "org",
      "displayName": "Organization",
      "attributionKeys": [
        "organizationId"
      ],
      "createdAt": "2026-05-18T10:00:00.000Z",
      "updatedAt": "2026-05-18T10:00:00.000Z"
    },
    {
      "id": "team",
      "displayName": "Team",
      "attributionKeys": [
        "teamId"
      ],
      "createdAt": "2026-05-18T10:00:00.000Z",
      "updatedAt": "2026-05-18T10:00:00.000Z"
    }
  ],
  "pagination": {
    "next": "c9b0a382-5b7d-4d32-9f62-8c4e1a7b3d9f",
    "prev": "a1d4e8f2-6c3b-4a9e-b5f7-2d8c9e0f1a3b"
  }
}
{
"message": "<string>"
}
{
"message": "<string>",
"code": "Unauthenticated"
}
{
"message": "<string>"
}
{
"message": "<string>",
"code": "RateLimitExceeded"
}

Authorizations

X-API-KEY
string
header
required

Server API Key

Headers

X-ACCOUNT-ID
string

Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.

X-ENVIRONMENT-ID
string

Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).

Query Parameters

after
string<uuid>

Return items that come after this cursor

before
string<uuid>

Return items that come before this cursor

limit
integer
default:20

Maximum number of items to return

Required range: 1 <= x <= 100

Response

Paginated list of entity types.

Response list object

data
EntityType · object[]
required
pagination
object
required

Pagination metadata including cursors for navigating through results